# Class ConstantClass

java.lang.Object
org.apache.tomcat.util.bcel.classfile.Constant
org.apache.tomcat.util.bcel.classfile.ConstantClass

public final class ConstantClass extends Constant
This class is derived from the abstract `Constant` and represents a reference to a (external) class.

See Also:
  - `Constant`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getNameIndex()`

  ### Methods inherited from class Constant

  `getTag, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getNameIndex

    public int getNameIndex()
    Returns:
      Name index in constant pool of class name.